Bug 177249 - Review Request: jrtplib
Review Request: jrtplib
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On: 177247
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-08 02:42 EST by Jeffrey C. Ollie
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-28 20:43:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Failed build log (56.06 KB, text/plain)
2006-03-05 17:47 EST, John Mahowald
no flags Details

  None (edit)
Description Jeffrey C. Ollie 2006-01-08 02:42:39 EST
Spec Name or Url: http://www.ocjtech.us/jrtplib-3.3.0-1.spec
SRPM Name or Url: http://www.ocjtech.us/jrtplib-3.3.0-1.src.rpm
Description:

JRTPLIB is an object-oriented RTP library written in C++. It was first
developed at the School for Knowledge Technology (or 'School voor
Kennistechnologie' in Dutch), a cooperation between the Hasselt
University) and the Maastricht University.
Comment 1 John Mahowald 2006-03-05 17:45:34 EST
Not building on FC5, x86_64.

rtprandom.cpp: In constructor 'RTPRandom::RTPRandom()':
rtprandom.cpp:61: error: cast from 'RTPRandom*' to 'u_int32_t' loses precision
make[1]: *** [rtprandom.lo] Error 1
Comment 2 John Mahowald 2006-03-05 17:47:47 EST
Created attachment 125686 [details]
Failed build log

Also note that lastest release is 3.4.0
Comment 3 Jeffrey C. Ollie 2006-08-07 00:00:31 EDT
Nearly forgot about this one...

Spec: http://repo.ocjtech.us/misc/fedora/development/SRPMS/jrtplib-3.6.0-1.fc6.spec
SRPM:
http://repo.ocjtech.us/misc/fedora/development/SRPMS/jrtplib-3.6.0-1.fc6.src.rpm

%changelog
* Sat Aug  5 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 3.6.0-1
- Update to 3.6.0
Comment 4 John Mahowald 2006-08-15 12:30:17 EDT
+ built on devel x86_64
+ follows naming conventions
+ license (MIT)
+ source matches
+ BuildRequires sane
+ consistent use of macros
+ devel subpackage with the development files, requires base package n-v-r
+ calls to ldconfig
+ proper %clean
+ proper permissions
+ rm of *.a and *.la

rpmlint says:
E: jrtplib shlib-with-non-pic-code /usr/lib64/libjrtp-3.6.0.so

A result of not --disable-static or equivalent so I'll ignore. Rationale
commented in spec.

Bit of a typo in devel subpackage %description, mentions JThread. Cut and paste,
I see.

APPROVED
Comment 5 Patrice Dumas 2006-08-28 18:59:40 EDT
What is happening to that request? There seems to be nothing
in owners.list and in repo?
Comment 6 Jeffrey C. Ollie 2006-08-28 20:42:49 EDT
Thanks for reminding me!  Imported and built for FC-6.

Note You need to log in before you can comment on or make changes to this bug.